Knowledge Base ISC Main Website Ask a Question/Contact ISC
CVE-2005-0033: BIND: q_usedns array overrun
Author: Cathy Almond Reference Number: AA-00957 Views: 2563 Created: 2013-05-29 14:12 Last Updated: 2014-10-28 14:25 0 Rating/ Voters

A buffer overflow can cause the server to exit.

CVE: 
CVE-2005-0033
CERT
VU#327633
Posting date: 
25 Jan 2005
Program Impacted: 
BIND
Versions affected: 
8.4.4 and 8.4.5
Severity: 
Low
Exploitable: 
Remotely
Description: 

It is possible to overrun the q_usedns array which is used to track nameservers / addresses that have been queried.

Workarounds: 

Disable the functions that cause BIND to query other servers, namely recursion and the fetching of glue records.

Active exploits: 
None known at this time.
Solution: 

Upgrade to BIND 8.4.6 or later.



© 2001-2017 Internet Systems Consortium

For assistance with problems and questions for which you have not been able to find an answer in our Knowledge Base, we recommend searching our community mailing list archives and/or posting your question there (you will need to register there first for your posts to be accepted). The bind-users and the dhcp-users lists particularly have a long-standing and active membership.

ISC relies on the financial support of the community to fund the development of its open source software products. If you would like to support future product evolution and maintenance as well having peace of mind knowing that our team of experts are poised to provide you with individual technical assistance whenever you call upon them, then please consider our Professional Subscription Support services - details can be found on our main website.

Feedback
  • There is no feedback for this article
Quick Jump Menu